package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.entity.StoreMonthTask;
import com.ssm.manage.query.StoreMonthTaskRequest;
import com.ssm.manage.response.StoreMonthTaskResponse;

import java.text.ParseException;

public interface SsmStoreMonthTaskService extends BaseService<StoreMonthTask> {
    PageInfo<StoreMonthTask> selectPage(StoreMonthTaskRequest storeMonthTaskRequest);

    int addTask(StoreMonthTaskRequest storeMonthTaskRequest) throws ParseException;

    int updateTask(StoreMonthTaskRequest storeMonthTaskRequest) throws SmsException, ParseException;

    int deleteTask(StoreMonthTaskRequest storeMonthTaskRequest) throws SmsException;

    int updateState(StoreMonthTaskRequest storeMonthTaskRequest);

    StoreMonthTaskResponse statistic(StoreMonthTaskRequest storeMonthTaskRequest) throws SmsException, ParseException;
}
